upgraded to debian buster and latest opsi bootimage can not be upgraded

ckruijntjens
Beiträge: 38
Registriert: 01 Mai 2018, 11:02

upgraded to debian buster and latest opsi bootimage can not be upgraded

Beitragvon ckruijntjens » 17 Okt 2019, 22:26

Hi all,

I upgraded to debian buster and install all new packages from opsi dor buster. Now i encounter an error. The opsi-linux-bootimage wont upgrade. this is what i get in the terminal:

root@opsi:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
opsi-linux-bootimage
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/549 MB of archives.
After this operation, 2,331 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 32455 files and directories currently installed.)
Preparing to unpack .../opsi-linux-bootimage_20191015-2_all.deb ...
cp: cannot stat '/tftpboot/linux/pxelinux.cfg/install-grub-x64': No such file or directory
dpkg: error processing archive /var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb (--unpack):
new opsi-linux-bootimage package pre-installation script subprocess returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/opsi-linux-bootimage_20191015-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Any ideas?

uncle_scrooge
Beiträge: 639
Registriert: 21 Feb 2012, 12:03
Wohnort: Mainz

Re: upgraded to debian buster and latest opsi bootimage can not be upgraded

Beitragvon uncle_scrooge » 18 Okt 2019, 09:35

Until it gets fixed a
touch /tftpboot/linux/pxelinux.cfg/install-grub-x64
should help.

(Reference thread in german part of the forum: viewtopic.php?f=6&t=11449)

Benutzeravatar
m.radtke
uib-Team
Beiträge: 923
Registriert: 10 Jun 2015, 12:19

Re: upgraded to debian buster and latest opsi bootimage can not be upgraded

Beitragvon m.radtke » 18 Okt 2019, 13:14

Hi

the hotfix for the error is out

viewtopic.php?f=1&t=11453

Regards
Mathias
Kein Support per DM!
_________________________
opsi support - http://www.uib.de/
For productive opsi installations we recommend support contracts.